from django.utils.translation import ugettext_lazy as _

MENUS = {
    "NAV_MENU_CORE": [
        {
            "name": _("Student ID Cards"),
            "url": "#",
            "root": True,
            "svg_icon": "mdi:card-account-details-outline",
            "validators": [
                (
                    "aleksis.core.util.predicates.permission_validator",
                    "kort.view_menu_rule",
                )
            ],
            "submenu": [
                {
                    "name": _("All Cards"),
                    "url": "cards",
                    "svg_icon": "mdi:card-multiple-outline",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "kort.view_cards_rule",
                        )
                    ],
                },
                {
                    "name": _("Card Printers"),
                    "url": "card_printers",
                    "svg_icon": "mdi:printer-outline",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "kort.view_cardprinters_rule",
                        )
                    ],
                },
                {
                    "name": _("Card Layouts"),
                    "url": "card_layouts",
                    "svg_icon": "mdi:card-account-details-star-outline",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "kort.view_cardlayouts_rule",
                        )
                    ],
                },
            ],
        }
    ]
}
